
Finalization Pharmadex for Mozambique, Bangladesh, Namibia, Ethiopia - Feature #2458

BD Disable delete letters for an applicant

01/23/2017 04:12 AM - Oleksii Kurasov

Status: Closed Start date: 01/23/2017

Priority: Urgent Due date: 01/24/2017

Assignee: Oleksii Kurasov % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

History

#1 - 01/23/2017 07:14 AM - Oleksii Kurasov

- Status changed from New to In Progress

- Assignee set to Oleksii Kurasov

#2 - 01/23/2017 07:20 AM - Oleksii Kurasov

- Status changed from In Progress to Closed
